#!/usr/bin/python

import vlc
import time
import random
import math
from datetime import datetime

#Variables
Ended = 6
h_now = datetime.now().time().hour
if (h_now < 19):	h_rand = random.randint(h_now, h_now+5)
else:				h_rand = random.randint(0, 5)
mm = random.randint(1, 59)
shit = random.randint(1,9)

volume = 40					#Starting value




#Variables for mp3
announce = '/home/pi/Documents/python/announce.mp3'
o_clock = '/home/pi/Documents/python/o_clock.mp3'
time_h = '/home/pi/Documents/python/Hours/time_h_' + str(hh) + '.mp3'
time_m = '/home/pi/Documents/python/Minutes/time_m_' + str(mm) + '.mp3'
random_shit = '/home/pi/Documents/python/RandomSht/' + str(shit) + '.mp3'
annoying_melody = '/home/pi/Documents/python/test.mp3'
annoying_melody2 = '/home/pi/Documents/python/test2.mp3'
annoying_melody3 = '/home/pi/Documents/python/test3.mp3'
annoying_melody4 = '/home/pi/Documents/python/test4.mp3'

#Variables to initialize VLC
playing = set('State.Playing')
vlc_instance = vlc.Instance()
player = vlc_instance.media_player_new()

#Give VLC mp3 paths
media_announce = vlc_instance.media_new(announce)
media_o_clock = vlc_instance.media_new(o_clock)
media_time_h = vlc_instance.media_new(time_h)
media_time_m = vlc_instance.media_new(time_m)
media_random_shit = vlc_instance.media_new(random_shit)
media_melody = vlc_instance.media_new(annoying_melody)
media_melody2 = vlc_instance.media_new(annoying_melody2)
media_melody3 = vlc_instance.media_new(annoying_melody3)
media_melody4 = vlc_instance.media_new(annoying_melody4)


################################################################################
##___________________________FUNCTIONS________________________________________##
################################################################################

def only_play(media, volume_in_percent):
	current_state = initialize_Media(media, volume_in_percent)
	while current_state != Ended:
	  current_state = player.get_state()
	  time.sleep(1)

def tell_time(media_hours, media_minutes, volume_in_percent):
	Instance = vlc.Instance('--input-repeat=-1')
	MediaList = vlc_instance.media_list_new()
	MediaList.add_media(media_announce)
	MediaList.add_media(media_hours)
	MediaList.add_media(media_o_clock)
	MediaList.add_media(media_minutes)
	MediaList.add_media(media_random_shit)

	player_list = Instance.media_list_player_new()
	player_list.set_media_list(MediaList)
	player_list.next()
	player_list.play()
	player_list.get_media_player().audio_set_volume(volume_in_percent)
	time.sleep(1)
	current_state = player_list.get_state()
	while current_state != Ended:
		player_list.get_media_player().audio_set_volume(volume_in_percent)
		current_state = player_list.get_state()
		time.sleep(0.25)


def initialize_Media(media, volume_in_percent):
	playing = set('State.Playing')
	player.set_media(media)
	player.audio_set_volume(volume_in_percent)
	player.play()
	time.sleep(1)										#time it takes to get vlc going
	current_state = player.get_state()
	return current_state									#enables to play whole mp3

def mod_current_Media(volume_in_percent):
	player.audio_set_volume(volume_in_percent)
	player.play()


################################################################################
##___________________________MAIN_CODE________________________________________##
################################################################################
volume = 90
tell_time(media_time_h, media_time_m, volume)

volume = 40
Instance = vlc.Instance('--input-repeat=-1')
MediaList = vlc_instance.media_list_new()
MediaList.add_media(media_melody)
MediaList.add_media(media_melody2)
MediaList.add_media(media_melody3)
MediaList.add_media(media_melody4)

player_list = Instance.media_list_player_new()
player_list.set_media_list(MediaList)
player_list.next()
player_list.play()
player_list.get_media_player().audio_set_volume(volume)
time.sleep(1.5)
current_state = player_list.get_state()
time.sleep(10)

for i in range(1,4):
	player_list.play_item_at_index(i)
	if(volume <= 100):
		volume += 20
		player_list.get_media_player().audio_set_volume(volume)
	time.sleep(10)

while current_state != Ended:
	current_state = player_list.get_state()
	time.sleep(0.25)
